<?php
class Mdl extends Doctrine_Record{
	
	public $searchConf = array();
	public $pageConf = array('per_page' => 15, 'per_chunk' => 10, 'page_style' => 'Sliding');
	
	function fromArrayExt($arr){
		$relations = $this->getTable()->getRelations();
		foreach($arr as $key => $value){
			if(empty($relations[$key])) $from_arr[$key] = $value;
			else						$rel_arr[$key] 	= $value;
		}
		parent::fromArray($from_arr);
		if(!empty($rel_arr)){
			foreach($rel_arr as $rel => $sub){
				try{ $this->unlink($rel); }catch(Doctrine_Connection_Mysql_Exception $e){}
				$query = $relations[$rel]->getTable()->createQuery('item');
				if(count($sub) > 1)			$to_add = $query->whereIn('item.id', $sub)->execute();
				else if(count($sub) == 1)	$to_add = $query->where('item.id = ?', $sub)->execute();
				foreach($to_add as $add_this)
					$this->$rel->add($add_this);
			}
		}	
	}
	
	function fluent2d($rel){ 
		return Arr::fluent2d($this->$rel->toArray()); 
	}
	
	function fluent($rel){ 
		return Arr::fluent($this->$rel->toArray()); 
	}
		
	function validateFiles($ui){
		$errorStack = $this->getErrorStack();
		foreach($this->files as $file => $info){
			if($info[$ui]){
				if(empty($_FILES[$file]['name']))
					$errorStack->add($file, $file);
			}
		}
		return $errorStack;
	}
}
